%define	_root_sbindir	/sbin
%define	_root_libdir	/%{_lib}

%define major	2
%define libname	%mklibname ext2fs %{major}
%define	devname	%mklibname ext2fs -d

%define major_comerr 2
%define libname_comerr	%mklibname com_err %{major_comerr}
%define	devname_comerr	%mklibname com_err -d

%define major_ss 2
%define libname_ss	%mklibname ss %{major_ss}
%define	devname_ss	%mklibname ss -d

%define git_url git://git.kernel.org/pub/scm/fs/ext2/e2fsprogs.git

Name: e2fsprogs
Version: 1.45.6
Release: %mkrel 6
Summary: Utilities used for ext2/ext3/ext4 filesystems
License: GPLv2
Group: System/Kernel and hardware
Url: http://e2fsprogs.sourceforge.net/
Source0: https://www.kernel.org/pub/linux/kernel/people/tytso/%{name}/v%{version}/%{name}-%{version}.tar.gz
Source1: e3jsize
# (cg) This default config prevents invalid warnings about clock differences
# http://thread.gmane.org/gmane.comp.sysutils.systemd.devel/4933
# http://pkgs.fedoraproject.org/gitweb/?p=e2fsprogs.git;a=blob;f=e2fsck.conf;h=b774f9ebf07bd0ecbcd6786b496f58c897eb6891;hb=HEAD
Source2: e2fsck.conf
# (anssi) fix uninitialized variable causing crash without libreadline.so.5;
# submitted as https://sourceforge.net/tracker/?func=detail&aid=2822113&group_id=2406&atid=302406
Patch0: e2fsprogs-1.42.9-uninitialized.patch
Patch1:	0001-remove-local-PATH.patch

BuildRequires:	texinfo
BuildRequires:	autoconf
BuildRequires:	m4
BuildRequires:	gettext
BuildRequires:	bzip2
BuildRequires:	git-core
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(fuse)
BuildRequires:  systemd-devel
BuildRequires:  udev-devel

%description
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

%package -n %{libname}
Summary: The libraries for Ext2fs
Group: System/Libraries

%description -n %{libname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

This package contains the shared libraries.

%package -n %{devname}
Summary:   The libraries for Ext2fs
Group:     Development/C
Requires:  %{libname} = %{version}-%{release}
Obsoletes: %{name}-devel < %{version}-%{release}
Provides:  %{name}-devel = %{version}-%{release}
Provides:  libext2fs-devel = %{version}-%{release}
Provides:  libe2fsprogs-devel = %{version}-%{release}
Provides:  ext2fs-devel = %{version}-%{release}

%description -n %{devname}
The e2fsprogs package contains a number of utilities for creating,
checking, modifying and correcting any inconsistencies in ext2, ext3,
and ext4 filesystems.  E2fsprogs contains e2fsck (used to repair
filesystem inconsistencies after an unclean shutdown), mke2fs (used to
initialize a partition to contain an empty ext2 filesystem), debugfs
(used to examine the internal structure of a filesystem, to manually
repair a corrupted filesystem or to create test cases for e2fsck), tune2fs
(used to modify filesystem parameters), resize2fs to grow and shrink
unmounted filesystems, and most of the other core ext2fs filesystem
utilities.

You should install %{libname} to use tools that compile with ext2fs
features.

%package -n %{libname_comerr}
Summary: Common error description library
License: MIT
Provides: libcom_err = %{version}-%{release}
Conflicts: %{_lib}ext2fs2 < 1.45.6-3

%description -n %{libname_comerr}
This is the common error description library, part of e2fsprogs.

libcom_err is an attempt to present a common error-handling mechanism.

%package -n %{devname_comerr}
Summary: Common error description library
License: MIT
Requires: %{libname_comerr} = %{version}-%{release}
Requires: pkgconfig
Provides: libcom_err-devel = %{version}-%{release}
Conflicts: %{_lib}ext2fs-devel < 1.45.6-3

%description -n %{devname_comerr}
This is the common error description development library and headers,
part of e2fsprogs.  It contains the compile_et command, used
to convert a table listing error-code names and associated messages
messages into a C source file suitable for use with the library.

libcom_err is an attempt to present a common error-handling mechanism.

%package -n %{libname_ss}
Summary: Command line interface parsing library
License: MIT
Requires: %{libname_comerr} = %{version}-%{release}
Provides: libss = %{version}-%{release}
Conflicts: %{_lib}ext2fs2 < 1.45.6-3

%description -n %{libname_ss}
This is libss, a command line interface parsing library, part of e2fsprogs.

This package includes a tool that parses a command table to generate
a simple command-line interface parser, the include files needed to
compile and use it.

It was originally inspired by the Multics SubSystem library.

%package -n %{devname_ss}
Summary: Command line interface parsing library
License: MIT
Requires: %{libname_ss} = %{version}-%{release}
Requires: pkgconfig
Provides: libss-devel = %{version}-%{release}
Conflicts: %{_lib}ext2fs-devel < 1.45.6-3

%description -n %{devname_ss}
This is the command line interface parsing (libss) development library
and headers, part of e2fsprogs.  It contains the mk_cmds command, which
parses a command table to generate a simple command-line interface parser.

It was originally inspired by the Multics SubSystem library.

%package -n e2scrub
Summary: Online Ext4 metadata consistency checking tool and service
License: GPLv2 and LGPLv2
Recommends: sendmail
Requires: systemd
Requires: util-linux
Requires: lvm2
Requires: e2fsprogs = %{version}-%{release}
Conflicts: %{_lib}ext2fs2 < 1.45.6-5

%description -n e2scrub
This package includes e2scrub script that can check ext[234] file system
metadata consistency while the file system is online. It also containes a
systemd service that can be enabled to do consistency check periodically.

The file system consistency check can be performed online and does not
require the file system to be unmounted. It uses lvm snapshots to do this
which means that it can only be done on file systems that are on a lvm
managed device with some free space available in respective volume group.


%prep
%autosetup -p1

rm -f configure
autoconf

# Fix build:
chmod 644 po/*.po

%build
%configure \
	--enable-elf-shlibs \
	--disable-libblkid \
	--disable-libuuid \
	--disable-fsck \
	--disable-uuidd \
	--enable-symlink-install

%make_build

%__make -C e2fsck e2fsck.static

%check
touch tests/r_move_itable_nostride/is_slow_test
touch tests/r_move_itable_realloc/is_slow_test
LC_ALL=C %__make check

%install
export PATH=/sbin:$PATH

%make_install install-libs \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}

for i in libcom_err.so.2 libe2p.so.2 libext2fs.so.2 libss.so.2; do
	ln -s $i %{buildroot}%{_root_libdir}/${i%.[0-9]}
done

rm -f	%{buildroot}%{_libdir}/libss.a \
	%{buildroot}%{_root_libdir}/libcom_err.so \
	%{buildroot}%{_root_libdir}/libe2p.so \
	%{buildroot}%{_root_libdir}/libext2fs.so \
	%{buildroot}%{_root_libdir}/libss.so

# multiarch policy, alternative is to use <stdint.h>
%multiarch_includes %{buildroot}%{_includedir}/ext2fs/ext2_types.h

%find_lang %{name}

chmod +x %{buildroot}%_bindir/{mk_cmds,compile_et}

install -m 755 e2fsck/e2fsck.static %{buildroot}%{_root_sbindir}
install -m 755 %{SOURCE1} %{buildroot}%{_root_sbindir}
ln -f %{buildroot}%{_root_sbindir}/mke2fs \
	%{buildroot}%{_root_sbindir}/mke3fs

install -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}


%files -f %{name}.lang
%doc README
%{_root_sbindir}/badblocks
%{_root_sbindir}/debugfs
%{_root_sbindir}/dumpe2fs
%{_root_sbindir}/e2fsck
%{_root_sbindir}/e2fsck.static
%{_root_sbindir}/e2image
%{_root_sbindir}/e2label
%{_root_sbindir}/e2mmpstatus
%{_root_sbindir}/e2undo
%{_root_sbindir}/e3jsize
%{_root_sbindir}/fsck.ext2
%{_root_sbindir}/fsck.ext3
%{_root_sbindir}/fsck.ext4
%{_root_sbindir}/logsave
%{_root_sbindir}/mke2fs
%{_root_sbindir}/mke3fs
%{_root_sbindir}/mkfs.ext2
%{_root_sbindir}/mkfs.ext3
%{_root_sbindir}/mkfs.ext4
%{_root_sbindir}/resize2fs
%{_root_sbindir}/tune2fs
%config(noreplace) %{_sysconfdir}/mke2fs.conf
%config(noreplace) %{_sysconfdir}/e2fsck.conf
%{_bindir}/chattr
%{_bindir}/lsattr
%{_mandir}/man1/chattr.1*
%{_mandir}/man1/fuse2fs.1*
%{_mandir}/man1/lsattr.1*
%{_mandir}/man5/e2fsck.conf.5*
%{_mandir}/man5/ext2.5*
%{_mandir}/man5/ext3.5*
%{_mandir}/man5/ext4.5*
%{_mandir}/man5/mke2fs.conf.5*
%{_mandir}/man8/badblocks.8*
%{_mandir}/man8/debugfs.8*
%{_mandir}/man8/dumpe2fs.8*
%{_mandir}/man8/e2freefrag.8*
%{_mandir}/man8/e2fsck.8*
%{_mandir}/man8/e2image.8*
%{_mandir}/man8/e2label.8*
%{_mandir}/man8/e2mmpstatus.8*
%{_mandir}/man8/e2undo.8.*
%{_mandir}/man8/e4crypt.8.*
%{_mandir}/man8/e4defrag.8.*
%{_mandir}/man8/filefrag.8*
%{_mandir}/man8/fsck.ext2.8*
%{_mandir}/man8/fsck.ext3.8*
%{_mandir}/man8/fsck.ext4.8.*
%{_mandir}/man8/logsave.8*
%{_mandir}/man8/mke2fs.8*
%{_mandir}/man8/mkfs.ext2.8*
%{_mandir}/man8/mkfs.ext3.8*
%{_mandir}/man8/mkfs.ext4.8.*
%{_mandir}/man8/mklost+found.8*
%{_mandir}/man8/resize2fs.8*
%{_mandir}/man8/tune2fs.8*
%{_sbindir}/e2freefrag
%{_sbindir}/e4crypt
%{_sbindir}/e4defrag
%{_sbindir}/filefrag
%{_bindir}/fuse2fs
%{_sbindir}/mklost+found

%files -n %{libname}
%doc README
%{_root_libdir}/libe2p.so.%{major}{,.*}
%{_root_libdir}/libext2fs.so.%{major}{,.*}
%{_libdir}/e2initrd_helper

%files -n %{devname}
%doc doc/RelNotes/v%{version}.txt
%{_infodir}/libext2fs.info*
%{_bindir}/mk_cmds
%{_libdir}/pkgconfig/e2p.pc
%{_libdir}/pkgconfig/ext2fs.pc
%{_libdir}/libe2p.a
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.a
%{_libdir}/libext2fs.so
%{_includedir}/ext2fs
%multiarch %dir %{multiarch_includedir}/ext2fs
%multiarch %{multiarch_includedir}/ext2fs/ext2_types.h
%{_includedir}/e2p/e2p.h

%files -n %{libname_comerr}
%license NOTICE
%{_root_libdir}/libcom_err.so.%{major_comerr}{,.*}

%files -n %{devname_comerr}
%{_bindir}/compile_et
%{_libdir}/libcom_err.so
%{_datadir}/et
%{_includedir}/et
%{_includedir}/com_err.h
%{_mandir}/man1/compile_et.1*
%{_mandir}/man3/com_err.3*
%{_libdir}/pkgconfig/com_err.pc
%{_libdir}/libcom_err.a

%files -n %{libname_ss}
%license NOTICE
%{_root_libdir}/libss.so.%{major_ss}{,.*}

%files -n %{devname_ss}
%{_bindir}/mk_cmds
%{_libdir}/libss.so
%{_datadir}/ss
%{_includedir}/ss
%{_mandir}/man1/mk_cmds.1*
%{_libdir}/pkgconfig/ss.pc

%files -n e2scrub
%config(noreplace) %{_sysconfdir}/e2scrub.conf
%{_root_sbindir}/e2scrub
%{_root_sbindir}/e2scrub_all
%{_mandir}/man8/e2scrub.8*
%{_mandir}/man8/e2scrub_all.8*
%{_libdir}/e2fsprogs/e2scrub_fail
%{_libdir}/e2fsprogs/e2scrub_all_cron
%{_unitdir}/e2scrub@.service
%{_unitdir}/e2scrub_all.service
%{_unitdir}/e2scrub_all.timer
%{_unitdir}/e2scrub_fail@.service
%{_unitdir}/e2scrub_reap.service
%{_udevrulesdir}/96-e2scrub.rules
%{_sysconfdir}/cron.d/e2scrub_all


%changelog
* Thu Aug 20 2020 ovitters <ovitters> 1.45.6-6.mga8
+ Revision: 1616650
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Sun May 17 2020 wally <wally> 1.45.6-5.mga8
+ Revision: 1584818
- remove unneeded 'hard' requires for libs
- move e2scrub_all_cron to e2scrub pkg
- remove e2scrub man pages from e2fsprogs
- add more conflicts because of splitting

* Sat May 16 2020 wally <wally> 1.45.6-4.mga8
+ Revision: 1584728
- add conflicts as files were splitted out

* Fri May 15 2020 joequant <joequant> 1.45.6-3.mga8
+ Revision: 1584025
- add systemctl / udev scrubbing
- spilt up libraries into e2scrub, com_err, and ss

* Thu Apr 16 2020 tv <tv> 1.45.6-2.mga8
+ Revision: 1567763
- library shouldn't pull e2fsprogs in basesystem-minimal:
  systemd -> libcurl -> libkrb -> libcom_err -> lib64ext2fs -> e2fsprogs
- Remove local/ elements from e2scrub PATH
- libattr is no more needed

* Mon Mar 23 2020 luigiwalser <luigiwalser> 1.45.6-1.mga8
+ Revision: 1559086
- 1.45.6

* Wed Feb 19 2020 umeabot <umeabot> 1.45.5-2.mga8
+ Revision: 1542872
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Jan 08 2020 luigiwalser <luigiwalser> 1.45.5-1.mga8
+ Revision: 1477213
- 1.45.5

* Fri Oct 04 2019 tv <tv> 1.45.4-1.mga8
+ Revision: 1449171
- new release

* Tue Jul 23 2019 tv <tv> 1.45.3-1.mga8
+ Revision: 1423542
- fix filelist
- new release

* Sat Jun 15 2019 tmb <tmb> 1.45.2-1.mga7
+ Revision: 1399996
- update to 1.45.2

* Fri Mar 08 2019 luigiwalser <luigiwalser> 1.45.0-1.mga7
+ Revision: 1372680
- 1.45.0

* Wed Mar 06 2019 luigiwalser <luigiwalser> 1.44.6-1.mga7
+ Revision: 1371876
- 1.44.6

* Sun Dec 16 2018 daviddavid <daviddavid> 1.44.5-1.mga7
+ Revision: 1341567
- new version: 1.44.5

* Sun Sep 02 2018 daviddavid <daviddavid> 1.44.4-2.mga7
+ Revision: 1256227
- fix dangling link (mga#23512)

* Fri Aug 24 2018 daviddavid <daviddavid> 1.44.4-1.mga7
+ Revision: 1253665
- new version: 1.44.4
- remove merged upstream patches

* Tue Apr 17 2018 kekepower <kekepower> 1.44.1-1.mga7
+ Revision: 1219678
- Disable two slow tests
- Update to version 1.44.1
+ tv <tv>
- disable uninit patch, thus fixing build
- new release
- new snapshot

* Sat Sep 09 2017 tv <tv> 1.43.6-1.mga7
+ Revision: 1152226
- new release

* Thu Feb 02 2017 luigiwalser <luigiwalser> 1.43.4-1.mga6
+ Revision: 1084538
- 1.43.4

* Mon Sep 05 2016 luigiwalser <luigiwalser> 1.43.3-1.mga6
+ Revision: 1050140
- 1.43.3
- remove patch 5 (fixed upstream)
- 1.43.2

* Thu Jun 09 2016 luigiwalser <luigiwalser> 1.43.1-1.mga6
+ Revision: 1020946
- 1.43.1
- remove upstream patch
- re-enable test suite on i586

* Wed May 25 2016 tv <tv> 1.43-2.mga6
+ Revision: 1018310
- only run testsuite on x86_64
+ luigiwalser <luigiwalser>
- 1.43 (package update from Theodoros Kalamatianos)
- add upstream patch to fix test failures because of the two-part version number
- update source URL
- now supports fuse2fs

* Tue Mar 01 2016 blino <blino> 1.42.13-3.mga6
+ Revision: 981159
- remove duplicate URL field incorrectly added in r870990
+ tv <tv>
- switch to pkgconfig() BRs
- add URL

* Fri Aug 21 2015 tmb <tmb> 1.42.13-2.mga6
+ Revision: 867086
- rebuild for new gcc

* Sun Jun 21 2015 tv <tv> 1.42.13-1.mga6
+ Revision: 837856
- new release
- rediff 1 patch
- drop merged patch

* Tue Feb 24 2015 luigiwalser <luigiwalser> 1.42.12-5.mga5
+ Revision: 816803
- add upstream patch to fix CVE-2015-1572

* Wed Oct 15 2014 umeabot <umeabot> 1.42.12-4.mga5
+ Revision: 739955
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.42.12-3.mga5
+ Revision: 678904
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 tv <tv> 1.42.12-2.mga5
+ Revision: 669407
- requires library with same version (should fix ordering issue reported on dev ml)

* Sat Aug 30 2014 tv <tv> 1.42.12-1.mga5
+ Revision: 669402
- new release

* Sun Aug 10 2014 tv <tv> 1.42.11-1.mga5
+ Revision: 661407
- adjust file list
- new release

* Wed Jan 01 2014 tmb <tmb> 1.42.9-2.mga4
+ Revision: 563775
- dont disable testsuite

* Wed Jan 01 2014 tmb <tmb> 1.42.9-1.mga4
+ Revision: 563768
- update to 1.42.9 (fixes possible data corruption and data loss)
- drop merged P2

* Sat Oct 19 2013 umeabot <umeabot> 1.42.8-2.mga4
+ Revision: 530084
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 tv <tv> 1.42.8-1.mga4
+ Revision: 455054
- temporary disable testsuite
- temporary BR e2fsprogs in order to fix testsuite
- fix regression test in new version (RH)
+ fwang <fwang>
- new version 1.42.8

* Sun Mar 10 2013 tv <tv> 1.42.7-1.mga3
+ Revision: 402070
- rediff patch 5
- new release

* Fri Jan 11 2013 umeabot <umeabot> 1.42.6-3.mga3
+ Revision: 349232
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 tmb <tmb> 1.42.6-2.mga3
+ Revision: 341138
- rebuild for new util-linux

* Sun Sep 23 2012 fwang <fwang> 1.42.6-1.mga3
+ Revision: 296867
- new version 1.42.6

* Wed Aug 29 2012 tv <tv> 1.42.5-1.mga3
+ Revision: 285537
- new release

* Thu Jun 14 2012 fwang <fwang> 1.42.4-1.mga3
+ Revision: 260411
- new version 1.42.4

* Sat Jun 02 2012 tv <tv> 1.42.3-1.mga3
+ Revision: 253456
- new release

* Fri Apr 27 2012 colin <colin> 1.42.2-2.mga2
+ Revision: 233470
- Update spec ($RPM_BUILD_ROOT -> %%{buildroot})
- Include an e2fsck.conf file that disables warnings about time offsets by default.

* Tue Apr 03 2012 tmb <tmb> 1.42.2-1.mga2
+ Revision: 228141
- update to 1.42.2 (several important bugfixes)

* Wed Feb 22 2012 fwang <fwang> 1.42.1-1.mga2
+ Revision: 212006
- new version 1.42.1

* Thu Dec 29 2011 tmb <tmb> 1.42-1.mga2
+ Revision: 188716
- update to 1.42
- update filelists
- rediff patches to apply cleanly
- drop buildroot and defattr

* Tue Jan 11 2011 blino <blino> 1.41.14-2.mga1
+ Revision: 6149
- remove old ldconfig scriptlets
+ tmb <tmb>
- imported package e2fsprogs


* Tue Jan  4 2011 Thomas Backlund <tmb@mageia.org> 1.41.14-2.mga1
- initial import
- switch from manbo_mkrel to mkrel

* Thu Dec 23 2010 Funda Wang <fwang@mandriva.org> 1.41.14-1mnb2
+ Revision: 624064
- new version 1.41.14
- new version 1.41.13
- use symbolic link rather than hardlink

* Fri Jun 11 2010 Thomas Backlund <tmb@mandriva.org> 1.41.12-1mnb2
+ Revision: 547931
- update to 1.41.12 (bugfix release)

* Tue Mar 16 2010 Funda Wang <fwang@mandriva.org> 1.41.11-1mnb2
+ Revision: 522506
- New version 1.41.11

* Sat Feb 27 2010 Thomas Backlund <tmb@mandriva.org> 1.41.10-2mnb2
+ Revision: 512296
- rebuild against new libblkid)

* Thu Feb 11 2010 Frederik Himpe <fhimpe@mandriva.org> 1.41.10-1mnb2
+ Revision: 504356
- Update to new version 1.41.10
- Does not ship with a default e2fsck.conf anymore

* Wed Oct 07 2009 Thierry Vignaud <tv@mandriva.org> 1.41.9-2mnb2
+ Revision: 455479
- move huge doc in devel package

* Sun Aug 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.41.9-1mnb2
+ Revision: 419892
- Update to new version 1.41.9

* Tue Aug 04 2009 Frederic Crozat <fcrozat@mandriva.com> 1.41.8-3mnb2
+ Revision: 408789
- Rebuild against libuuid
- disable libuuid-devel deps for bootstrapping

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Disable libuuid and fsck (now handled by util-linux-ng).

* Wed Jul 15 2009 Anssi Hannula <anssi@mandriva.org> 1.41.8-1mnb2
+ Revision: 396478
- fix crash without libreadline.so.5 (uninitialized.patch)
- rediff strip-me.patch
- update summaries and descriptions to mention ext3, ext4, resize2fs

  + Thierry Vignaud <tv@mandriva.org>
    - new release

  + Frederik Himpe <fhimpe@mandriva.org>
    - update to new version 1.41.7

* Tue Jun 09 2009 Frederic Crozat <fcrozat@mandriva.com> 1.41.6-3mnb2
+ Revision: 384246
- Rebuild against libblkid
- ensure tests pass on x86_64 too
- Enable parallel build
- Add git_url

* Mon Jun 08 2009 Frederic Crozat <fcrozat@mandriva.com> 1.41.6-2mnb2
+ Revision: 384074
- Do not build libblkid (shipped by util-linux-ng now)
- Remove patch36 (obsolete)
- Temporary buildrequires libext2fs-devel, to be able to install libblkid-devel

* Sat May 30 2009 Frederik Himpe <fhimpe@mandriva.org> 1.41.6-1mnb2
+ Revision: 381530
- update to new version 1.41.6

* Mon May 04 2009 Thierry Vignaud <tv@mandriva.org> 1.41.5-1mnb2
+ Revision: 371725
- new release

* Mon Feb 09 2009 Thierry Vignaud <tv@mandriva.org> 1.41.4-1mnb2
+ Revision: 338875
- new release
- drop patches 10, 67, 68 & 69 (merged upstream)
- add more upstrem commited annotations

* Wed Jan 21 2009 Thierry Vignaud <tv@mandriva.org> 1.41.3-3mnb2
+ Revision: 332252
- drop patch 9 (istat support), now useless with new e3jsize
- drop patch8 and package e2fsck.conf so that fsck doesn't force fsck on first
  reboot tue to timezone issues
- update patches 10, 68 & 69 according to Theodore Tso's comments
  (add commited upstreama annotations)
- e3jsize: use standard 'stat' command instead of turbolinux 'istat' extension
- drop patch 4: old useless auconf bit from redhat (november 2001!)
- drop patch 66: now useless (and was dropped by fedora too)

* Tue Jan 20 2009 Thierry Vignaud <tv@mandriva.org> 1.41.3-2mnb2
+ Revision: 331878
- temporary enable fuzzy patches
- drop most redhat patches introduced in r63796 on 2007-08-15 since:
  o they were removed from redhat
  o patch 30 ("enable tune2fs to set and clear the resize inode (#167816)")
  	allows tune2fs to set the resize_inode feature without actually creating
  	the resize inode --- this leads to a corrupted filesystem, which is
  	generally not considered a good thing
- drop patch 7: no more needed
- patch 69: fix build with Werror_format=security

* Thu Oct 16 2008 Thierry Vignaud <tv@mandriva.org> 1.41.3-1mnb2
+ Revision: 294293
- new release

* Thu Oct 02 2008 Thierry Vignaud <tv@mandriva.org> 1.41.2-1mnb2
+ Revision: 290859
- new release

* Tue Sep 09 2008 Pixel <pixel@mandriva.com> 1.41.1-2mnb2
+ Revision: 283112
- handle mkfs.ext3 -U <UUID>

* Tue Sep 02 2008 Thierry Vignaud <tv@mandriva.org> 1.41.1-1mnb2
+ Revision: 278895
- rediff patch 66
- rediff patch 36
- remove patch 10 (merged upstream)
- new release

* Mon Aug 25 2008 Olivier Blin <oblin@mandriva.com> 1.41.0-2mnb2
+ Revision: 275686
- fix probing logic in blkid to find renamed devices (#43146)

* Tue Jul 22 2008 Thierry Vignaud <tv@mandriva.org> 1.41.0-1mnb2
+ Revision: 240354
- new release
- kill merged patch #10
- rediff patch 39
- sort file list

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 22 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.8-2mnb1
+ Revision: 196411
- fix the bug that fsck didn't accept the 'j' with German locale (#39803)

* Mon Mar 17 2008 Thierry Vignaud <tv@mandriva.org> 1.40.8-1mnb1
+ Revision: 188431
- new release (fix resizing)
- rediff patch 62
- new release

* Wed Feb 27 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.6-3mnb1
+ Revision: 175693
- fix the bug that mke3fs doesn't create journal

* Sun Feb 24 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 1.40.6-2mnb1
+ Revision: 174456
- patch67: add support for user level suspend in libblkid

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 1.40.6-1mnb1
+ Revision: 171225
- replace %%mkrel with %%manbo_mkrel for Manbo Core 1

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 1.40.6-1mdv2008.1
+ Revision: 166818
- new release

* Fri Feb 08 2008 Makoto Dei <makoto@turbolinux.co.jp> 1.40.5-3mdv2008.1
+ Revision: 164069
- Manbo-Lab
- added static link version of e2fsck (/sbin/e2fsck.static)
- added /sbin/mke3fs which is a link to /sbin/mke2fs
- added istat command to debugfs to show inode information
- added /sbin/e3jsize which is a shell script to show journal size of ext3 fs

* Wed Feb 06 2008 Olivier Blin <oblin@mandriva.com> 1.40.5-2mdv2008.1
+ Revision: 163016
- create /etc/blkid, so that blkid can create blkid.tab

* Mon Jan 28 2008 Thierry Vignaud <tv@mandriva.org> 1.40.5-1mdv2008.1
+ Revision: 159273
- kill merged patches 9, 34 & 63
- new release
- new release

* Fri Jan 11 2008 Pixel <pixel@mandriva.com> 1.40.4-4mdv2008.1
+ Revision: 147904
- ensure vol_id and blkid returns the same UUID on ntfs (#36144)

* Tue Jan 08 2008 Thierry Vignaud <tv@mandriva.org> 1.40.4-3mdv2008.1
+ Revision: 146448
- revert bogus "version Requires/Obsoletes/Providesr" change (part of r82504 from
  walluck on 2007-09-08) that break updating some biarch systems
- remove testsuite hack

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Jan 02 2008 Thierry Vignaud <tv@mandriva.org> 1.40.4-2mdv2008.1
+ Revision: 140477
- new release
- kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - protect ->open ops from glibc open-create-mode-checker (P66 from fedora)

* Tue Dec 11 2007 Thierry Vignaud <tv@mandriva.org> 1.40.3-1mdv2008.1
+ Revision: 117365
- set PATH so that make lib/ss test pass
- rediff patch 62
- kill patch 64 (merged upstream)
- revert r115880 (2007-12-06) from peroyvind ("sync with fedora patches")
  since there're no such patches
- new release

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - can now be safely built with optimizations, do so
    - sync with fedora patches

* Sun Sep 16 2007 Funda Wang <fwang@mandriva.org> 1.40.2-5mdv2008.0
+ Revision: 87931
- really obsoletes old devel package

* Sat Sep 08 2007 David Walluck <walluck@mandriva.org> 1.40.2-4mdv2008.0
+ Revision: 82504
- version Requires/Obsoletes/Provides
- Provides: ext2fs-devel = %%{version}-%%{release}
- release 3 claimed to implement the new devel policy but didn't, so implement it

* Wed Aug 15 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.40.2-3mdv2008.0
+ Revision: 63835
- sync with fedora patches
- new devel policy
- fix uninstall of info pages at correct stage

* Tue Aug 07 2007 David Walluck <walluck@mandriva.org> 1.40.2-2mdv2008.0
+ Revision: 59593
- move %%_mandir/man3/libblkid.3* to devel package to fix multiarch conflict

* Thu Aug 02 2007 Thierry Vignaud <tv@mandriva.org> 1.40.2-1mdv2008.0
+ Revision: 58198
- new release

* Thu Aug 02 2007 Olivier Blin <oblin@mandriva.com> 1.40-3mdv2008.0
+ Revision: 57902
- fix last check problem index (it used the same index as the dirhash hint,
  thus causing havoc in e2fsck, and secondarily breaking tests and rpm build)
- rebuild for new kernel headers (__u64 and __s64 types have changed)
- make files list extension-agnostic for man pages (fix build with lzma man pages)

  + David Walluck <walluck@mandriva.org>
    - 1.40
    - remove fix-memleak patch (fixed upstream)

* Thu Jun 14 2007 Thierry Vignaud <tv@mandriva.org> 1.39-5mdv2008.0
+ Revision: 39781
- patch 9: fix mem leak in libblkid (#31295)
- patch 9: fix mem leak in libblkid (#31295)

* Sun Jan 07 2007 David Walluck <walluck@mandriva.org> 1.39-4mdv2007.0
+ Revision: 104996
- bump release
- remove redundant autoconf call
  force %%check to pass on x86_64 for now (2 test failures)
- rebuild
  bunzip2 patches
  add %%check section

  + Emmanuel Andry <eandry@mandriva.org>
    - Import e2fsprogs

* Wed Aug 23 2006 Pixel <pixel@mandriva.com> 1.39-2mdv2007.0
- DrakX doesn't set the timezone/utc before formatting partition, 
  resulting in check time in the future, and so a forced fsck
  at first boot. fixing this.

* Fri Jun 23 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.39-1mdv2007.0
- new release
- drop patch 6 (no more needed)

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.38-5mdk
- rebuild for sparc

* Thu Oct 20 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.38-4mdk
- fortify fixes

* Sat Sep 10 2005 Olivier Blin <oblin@mandriva.com> 1.38-3mdk
- fix typo in summaries

* Tue Sep 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.38-2mdk
- fix running tests

* Fri Aug 05 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.38-1mdk
- new release
- drop patch 6 (merged upstream)
- rediff patch 7

* Mon Aug 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.37-5mdk
- patch 7: fix compilation of libs/e2p/os_type

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.37-4mdk
- Use a better BuildRequires as explain by Blino

* Sun Jul 31 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.37-3mdk
- Fix BuildRequires

* Thu Jul 28 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.37-2mdk
- patch 6: fix segfault in e2fsck

* Sat May 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.37-1mdk
- new release

* Sun Mar 06 2005 Stefan van der Eijk <stefan@eijk.nu> 1.36-3mdk
- reupload

* Mon Feb 28 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.36-2mdk
- don't reference home build dirs in compile_et and mk_cmds (multiarch)
- other multiarch fixes, though it could be fixed differently with <stdint.h>

* Fri Feb 11 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.36-1mdk
- new release
- rediff patch 4

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.35-1mdk
- new release
- remove patch 6 (no more needed)

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-5mdk
- patch 6: fix build
- rpmlint fix

* Mon Jan 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.34-4mdk
- fix perms
